XAMPP downgrade

Problems with the Windows version of XAMPP, questions, comments, and anything related.

XAMPP downgrade

Postby gogy82 » 28. December 2012 17:38

Hello,

I made a search for my problem and it seems that the best way will be to downgrade XAMPP. I am currently running version 1.8.1 and script was made about 2-3 years ago which means that version is not important to me.

I have some local PHP script which is connecting to local database and also to external remote database on shared hosting. On old computer I had older version of XAMPP (not currently sure which it was) and now while making database connection with new XAMPP version I receive this error

Code: Select all
Warning: mysql_connect(): mysqlnd cannot connect to MySQL 4.1+ using the old insecure authentication. Please use an administration tool to reset your password with the command SET PASSWORD = PASSWORD('your_existing_password'). This will store a new, and more secure, hash value in mysql.user. If this user is used in other scripts executed by PHP 5.2 or earlier you might need to remove the old-passwords flag from your my.cnf file in C:\xampp\htdocs\xxxxxxxxxxxxx\db.php on line 13


I believe it means that there were some changes in new versions of MySQL and PHP but as the connection is on shared hosting, I cannot make changes as this description asks me to do or other solutions found while Googling.

I also searched how to downgrade properly but could not found some straightforward details.

Could you point me with some link where I can read instructions about proper downgrade?

I would also ask for pointing me to which XAMPP version is the latest stable and still working for my script.

Thank you

Best regards
Goran

P.S. Please add 1.8.1 version to profile drop-down.
gogy82
 
Posts: 6
Joined: 28. December 2012 17:28
XAMPP Version: 5.6.3
Operating System: Windows

Re: XAMPP downgrade

Postby JJ_Tagy » 28. December 2012 20:16

You should be able to downgrade using the same procedures as the upgrade in the stickies. Back up your data, export your sql, uninstall everything, install older version, import sql.
JJ_Tagy
 
Posts: 575
Joined: 30. January 2012 13:44
XAMPP Version: 1.8.3
Operating System: Windows 7 x64

Re: XAMPP downgrade

Postby gogy82 » 29. December 2012 00:06

Thank you

Which XAMPP version should I download to have this working properly?
gogy82
 
Posts: 6
Joined: 28. December 2012 17:28
XAMPP Version: 5.6.3
Operating System: Windows

Re: XAMPP downgrade

Postby Altrea » 31. December 2012 17:48

Hi gogy82,

My recommandation would be to talk to your hoster if he can do the changes to the database tables which are needed to use the new password hashing mechanism.
MySQL 4.1 which comes with the new mechanism was released in october 2004, i think 8 years is enough time to rely on an old, insecure mechanism.
If he don't want to change that i would change the hoster.

The other possibility (which i would not recommend) is to use an XAMPP version with PHP version < 5.3 (e.g. XAMPP 1.7.1 with PHP 5.2.9). These components are all out of date and can contain security issues which can make your own system insecure if anything of that is accessible from the internet.

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6844
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: Windows 10 Pro x64

Re: XAMPP downgrade

Postby gogy82 » 04. January 2013 08:32

Altrea, thank you for your response.

I would like to narrow down the solution for the support person of my hosting. Do you have any tutorial/guidance or link what exactly should be done to change/support this? I would also be more then happy if I don't need to do anything on my side, but I would also like to help out on the other side to shorten their work.

Best regards
Goran
gogy82
 
Posts: 6
Joined: 28. December 2012 17:28
XAMPP Version: 5.6.3
Operating System: Windows

Re: XAMPP downgrade

Postby Altrea » 04. January 2013 12:01

The first answer of this stackoverflow question covers all what is needed for this issue.

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6844
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: Windows 10 Pro x64

Re: XAMPP downgrade

Postby gogy82 » 05. January 2013 12:15

Done by hosting support! Thank you very much.

You have interesting signature :D

I still don't see 1.8.1 version in members profile drop-down, but it doesn't matter ;)
gogy82
 
Posts: 6
Joined: 28. December 2012 17:28
XAMPP Version: 5.6.3
Operating System: Windows


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 61 guests